Bug 1197650 - [RFE] Default User role that can also save bookmarks
Summary: [RFE] Default User role that can also save bookmarks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.0.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Marek Hulan
QA Contact: Silvie Chlupova
URL:
Whiteboard:
Depends On:
Blocks: 1122832 1582384
TreeView+ depends on / blocked
 
Reported: 2015-03-02 10:23 UTC by Peter Vreman
Modified: 2019-11-05 22:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:25:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27:08 UTC
Foreman Issue Tracker 20736 None None None 2017-08-25 08:05:40 UTC

Description Peter Vreman 2015-03-02 10:23:37 UTC
Description of problem:
An user with view permissions cannot save bookmarks. The option is shown below the dropdown menu of Saved searches. After clicking boomark this search the dialog to Save the search is empty.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create user with only view permissions
2. Login as view user
3. goto hosts page
4. Enter search "name ~ Dummy"
5. Click bookmark this search

Actual results:
Empty dialog, search cannot be saved.


Expected results:
Allow saving of Bookmark.
Alternative to not show the Bookmark this search option

Additional info:
Found when testing for BZ1196096

Comment 1 RHEL Product and Program Management 2015-03-02 14:24:40 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Bryan Kearney 2017-04-10 20:32:27 UTC
Ading a filter with create|edit|delete bookmark unlocks this feature. Is that an acceptable work around?

Comment 5 Peter Vreman 2017-04-11 09:30:50 UTC
I also understand that default the Viewer account cannot save bookmarks.

For me as a user the finegrained roles are overwhelming and you do not see what is missing.

Havign out-of-the-box a basic 'Users' Role that have the View and basic Edit roles like bookmarking would solve the issue.

Comment 6 Peter Vreman 2017-05-10 16:26:13 UTC
Reworded the summary. What i as a user expects from default roles. If view is really read-only then tehre shall be a user role also that at least can save his own queries and UI layouts etc.

Comment 7 Marek Hulan 2017-08-25 08:05:37 UTC
Created redmine issue http://projects.theforeman.org/issues/20736 from this bug

Comment 8 pm-sat@redhat.com 2017-08-25 10:07:13 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 9 pm-sat@redhat.com 2017-08-25 10:07:17 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 10 pm-sat@redhat.com 2017-08-28 12:07:18 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20736 has been resolved.

Comment 14 errata-xmlrpc 2018-10-16 15:25:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.